Bug 1660801 - Missing dependency in python-pyvmomi (python-requests)
Summary: Missing dependency in python-pyvmomi (python-requests)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-pyvmomi
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-19 09:37 UTC by Piet Hugen
Modified: 2019-02-04 10:00 UTC (History)
5 users (show)

Fixed In Version: python-pyvmomi-6.7.1-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-04 10:00:01 UTC


Attachments (Terms of Use)

Description Piet Hugen 2018-12-19 09:37:03 UTC
Description of problem:

The package python2-pyvmomi-6.7.1-1.el7.noarch no longer lists python-requests as a dependency. This is incorrect, PyVmOMI still requires the Request module to work.

Version-Release number of selected component (if applicable):
python-pyvmomi-6.7.1-1.el7.src.rpm

Comment 1 Raphael Groner 2018-12-19 10:35:54 UTC
Thanks for the report. It's due to a false assumption about auto-generated dependency. That magic fails in epel7, obviously.
See line #33:
https://src.fedoraproject.org/rpms/python-pyvmomi/c/7558f3eb32b213f02166b5671cf6d66f2df1f4f0?branch=epel7

Comment 2 Fedora Update System 2019-01-18 20:19:04 UTC
python-pyvmomi-6.7.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7abe3916dd

Comment 3 Fedora Update System 2019-01-18 20:28:27 UTC
python-pyvmomi-6.7.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7abe3916dd

Comment 4 Fedora Update System 2019-01-19 03:00:48 UTC
python-pyvmomi-6.7.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7abe3916dd

Comment 5 Fedora Update System 2019-02-02 11:48:57 UTC
python-pyvirtualize-0.9-2.20181003git57d2307.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-924c63f6b2

Comment 6 Fedora Update System 2019-02-04 10:00:01 UTC
python-pyvirtualize-0.9-2.20181003git57d2307.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-02-04 10:00:02 UTC
python-pyvmomi-6.7.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.